
#libraries
local({
  pkgs <- c("tidyverse", "tidytext","here", "opencage", "leaflet","RColorBrewer", "rtweet", "tm", "tmap", "tmaptools", "quanteda","quanteda.sentiment", "quanteda.textstats","tau","data.table", "sf")
  # tidyverse
  # here: directorio
  # opencage: libreria de geolocalización
  # leaflet: visualización en el mapa
  # RColorBrewer:
  # rtweet
  # tm
  # tmap
  
  inst = lapply(pkgs, function(x) if(!x%in% installed.packages()) install.packages(x))
  inst = lapply(pkgs, function(x) require(x, character.only = T))
})

 # Identificación y obtención de tokens para la conectividad en twitter
 twitter_token <- rtweet::rtweet_bot(api_key = "yZAZobC9x88osvKjuqptKgiXA", api_secret = "fgkwApf5sjCvXLcaRCDvkZtgD4UEByuGw8OwHpUFiVYaOTUxMl", access_token = "1237818938274328576-pXETK02dNu07tRuL8zmR6409KIqaMM", access_secret = "axMAml6uQt1S97nt1AH1doaFqZc56Kmvw5OPeKwLItB1h")
 opencage::oc_config(key = "11fb97331abd46edba5841e4bbe30529",rate_sec = 10,no_record = TRUE)

#' Función que devuelve el token de Twitter
getToken <- function(){
  return(twitter_token)
}

renv::restore()
